Skip to content
Browse files

2.0.0-beta7

  • Loading branch information...
1 parent 59d2480 commit 485a34ad05d152d53c2a18cc24f63afeeb263ac6 @jliszka jliszka committed Jun 14, 2012
Showing with 10 additions and 5 deletions.
  1. +5 −0 CHANGELOG.md
  2. +4 −4 README.md
  3. +1 −1 project/RogueBuild.scala
View
5 CHANGELOG.md
@@ -1,5 +1,10 @@
## Release Notes
+# 2.0.0-beta7
+
+- revert change where we always pass a negative limit
+- fix weird interaction between negative limits and batchSize
+
# 2.0.0-beta6
- simplified phantom types
View
8 README.md
@@ -37,9 +37,9 @@ Because Rogue is designed to work with several versions of lift-mongodb-record (
you'll want to declare your dependency on Rogue as `intransitive` and declare an explicit dependency
on the version of Lift you want to target. In sbt, that would look like the following:
- val rogueField = "com.foursquare" %% "rogue-field" % "2.0.0-beta6" intransitive()
- val rogueCore = "com.foursquare" %% "rogue-core" % "2.0.0-beta6" intransitive()
- val rogueLift = "com.foursquare" %% "rogue-lift" % "2.0.0-beta6" intransitive()
+ val rogueField = "com.foursquare" %% "rogue-field" % "2.0.0-beta7" intransitive()
+ val rogueCore = "com.foursquare" %% "rogue-core" % "2.0.0-beta7" intransitive()
+ val rogueLift = "com.foursquare" %% "rogue-lift" % "2.0.0-beta7" intransitive()
val liftMongoRecord = "net.liftweb" %% "lift-mongodb-record" % "2.4-M5"
You can substitute "2.4-M2" for whatever version of Lift you are using. Rogue has been used in
@@ -89,7 +89,7 @@ for "findAndModify" query objects
## Releases
-The latest release is 2.0.0-beta6. See the [changelog](https://github.com/foursquare/rogue/blob/master/CHANGELOG.md) for more details.
+The latest release is 2.0.0-beta7. See the [changelog](https://github.com/foursquare/rogue/blob/master/CHANGELOG.md) for more details.
New since 1.1.0:
View
2 project/RogueBuild.scala
@@ -14,7 +14,7 @@ object RogueBuild extends Build {
lazy val lift = Project("rogue-lift", file("rogue-lift/")) dependsOn(core % "compile;test->test;runtime->runtime")
lazy val defaultSettings: Seq[Setting[_]] = Seq(
- version := "2.0.0-beta7-SNAPSHOT",
+ version := "2.0.0-beta7",
organization := "com.foursquare",
crossScalaVersions := Seq("2.9.1", "2.9.0-1", "2.9.0"),
publishMavenStyle := true,

0 comments on commit 485a34a

Please sign in to comment.
Something went wrong with that request. Please try again.